module.exports = ($app) => {
  const ASSETS_DIR = "/pb_hooks/assets";
  const getAsset = (name) => $filesystem.fileFromPath(ASSETS_DIR + "/" + name);
  const id_v = "1".padStart(15, 0); //id_vocabulary
  const id_c = "2".padStart(15, 0); //id_connectives
  const cat_id_technology = "3".padStart(15, 0);
  const getId = (id) => id.padStart(15, 0);
  let row_array = [
    [getId("1")  ,"news (LP)"        ,getAsset("ci_news.jpg")       ,1 ,{} ,"visible" ,"news"       ,getAsset("keyboard.mp3") ,cat_id_technology] ,
    [getId("2")  ,"sports (LP)"      ,getAsset("ci_sports.jpg")     ,2 ,{} ,"visible" ,"sports"     ,getAsset("mouse.mp3")    ,cat_id_technology] ,
    [getId("3")  ,"technology (LP)"  ,getAsset("ci_technology.jpg") ,3 ,{} ,"visible" ,"technology" ,getAsset("keyboard.mp3") ,cat_id_technology] ,
    [getId("4")  ,"art (LP)"         ,getAsset("ci_art.jpg")        ,4 ,{} ,"visible" ,"art"        ,getAsset("mouse.mp3")    ,cat_id_technology] ,
    [getId("5")  ,"basic (LP)"       ,getAsset("ci_basic.jpg")      ,5 ,{} ,"visible" ,"basic"      ,getAsset("keyboard.mp3") ,cat_id_technology] ,
    [getId("6")  ,"nature (LP)"      ,getAsset("ci_nature.jpg")     ,6 ,{} ,"visible" ,"nature"     ,getAsset("keyboard.mp3") ,cat_id_technology] ,
    [getId("7")  ,"workplace (LP)"   ,getAsset("ci_workplace.jpg")  ,7 ,{} ,"visible" ,"workplace"  ,getAsset("keyboard.mp3") ,cat_id_technology] ,
    [getId("8")  ,"workplace (LP)"   ,getAsset("ci_workplace.jpg")  ,8 ,{} ,"visible" ,"workplace"  ,getAsset("keyboard.mp3") ,cat_id_technology] ,
    [getId("99") ,"test hidden (LP)" ,getAsset("ci_workplace.jpg")  ,9 ,{} ,"hidden"  ,"test"       ,getAsset("keyboard.mp3") ,cat_id_technology] ,
  ];
  dirtyTruncateTable("QuizLPQuestions");

  let lt_collection = $app.findCollectionByNameOrId("QuizLPQuestions");

  for (let i = 0; i < row_array.length; i++) {
    let lesson_type = row_array[i];

    let record = new Record(lt_collection);
    record.set("id", lesson_type[0]);
    record.set("cat_name", lesson_type[1]);
    record.set("cat_image", lesson_type[2]);
    record.set("pos", lesson_type[3]);
    record.set("init_answer", lesson_type[4]);
    record.set("visible", lesson_type[5]);
    record.set("word", lesson_type[6]);
    record.set("sound", lesson_type[7]);
    record.set("cat_id", lesson_type[7]);

    $app.save(record);
  }

  console.log(`021_QuizLPQuestions done`);
};

const dirtyTruncateTable = (COLLECTION_NAME) => {
  console.log(`perform dirty method to truncate table "${COLLECTION_NAME}"`);
  const cmd_to_exec = $os.cmd("sqlite3", "/pb_data/data.db", `DELETE from ${COLLECTION_NAME};`);
  cmd_to_exec.output();
};
